petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSectionPermute

Reorder the section according to the input point permutation

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionPermute(PetscSection section, IS permutation, PetscSection *sectionNew)

Collective on PetscSection

### Input Parameter

| section | - The PetscSection object
| perm | - The point permutation, old point p becomes new point perm[p]

### Output Parameter

sectionNew -The permuted PetscSection

### Keywords

mesh

### See Also

MatPermute()

Level:intermediate
Location:src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages